/***************************************************************************//**
* \file debug.h
*
* \version 1.0
*
*  Contains the function prototypes and constants for the UART debugging.
*
********************************************************************************
* Copyright 2021, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include <stdio.h>
#include <stddef.h>

#define ENABLED                     (1u)
#define DISABLED                    (0u)

/***************************************
* Conditional Compilation Parameters
***************************************/
#define DEBUG_UART_ENABLED          ENABLED


/***************************************
*        Macros
***************************************/
#if (DEBUG_UART_ENABLED == ENABLED)
    #define DBG_PRINTF(...)                 (printf(__VA_ARGS__))

#else
    #define DBG_PRINTF(...)

#endif /* (DEBUG_UART_ENABLED == ENABLED) */


/* [] END OF FILE */
